import request from "@/utils/request";

// 查询故障诊断算法模型管理列表
export function listFaultDiagnosis(query) {
  return request({
    url: "/model/faultDiagnosis/list",
    method: "get",
    params: query,
  });
}

// 查询故障诊断算法模型管理详细
export function getFaultDiagnosis(id) {
  return request({
    url: "/model/faultDiagnosis/" + id,
    method: "get",
  });
}

// 新增故障诊断算法模型管理
export function addFaultDiagnosis(data) {
  return request({
    url: "/model/faultDiagnosis",
    method: "post",
    data: data,
  });
}

// 修改故障诊断算法模型管理
export function updateFaultDiagnosis(data) {
  return request({
    url: "/model/faultDiagnosis",
    method: "put",
    data: data,
  });
}

// 删除故障诊断算法模型管理
export function delFaultDiagnosis(id) {
  return request({
    url: "/model/faultDiagnosis/" + id,
    method: "delete",
  });
}

// 故障诊断算法模型getOptions
export function getFaultDiagnosisOptions() {
  return request({
    url: "/model/faultDiagnosis/getOptions",
    method: "get",
  });
}
